summaryrefslogtreecommitdiffstats
path: root/audio/icecast
diff options
context:
space:
mode:
author Rodney Cobb2010-05-12 23:27:54 +0200
committer Robby Workman2010-05-12 23:27:54 +0200
commita49491457fb57acf19991f09c8751a8ac6848401 (patch)
treefa13e8450ccc4954ff3f9c211630831cbd0212a6 /audio/icecast
parentd1afb5c3c1615e5bfc3f8305ac513481c0398df8 (diff)
downloadslackbuilds-a49491457fb57acf19991f09c8751a8ac6848401.tar.gz
audio/icecast: Added to 12.2 repository
Diffstat (limited to 'audio/icecast')
-rw-r--r--audio/icecast/README9
-rw-r--r--audio/icecast/doinst.sh19
-rw-r--r--audio/icecast/icecast.SlackBuild69
-rw-r--r--audio/icecast/icecast.info8
-rw-r--r--audio/icecast/slack-desc19
5 files changed, 124 insertions, 0 deletions
diff --git a/audio/icecast/README b/audio/icecast/README
new file mode 100644
index 0000000000..0a59a8bd59
--- /dev/null
+++ b/audio/icecast/README
@@ -0,0 +1,9 @@
+Icecast is a streaming media server which currently supports Ogg
+streaming including the vorbis and theora codecs. Also icecast can
+handle other streams like MP3/AAC/NSV.
+It can be used to create an Internet radio station or a privately
+running jukebox and many things in between. It is very versatile in
+that new formats can be added relatively easily and supports open
+standards for communication and interaction.
+
+Icecast has an optional requirement of speex.
diff --git a/audio/icecast/doinst.sh b/audio/icecast/doinst.sh
new file mode 100644
index 0000000000..88d4c0e358
--- /dev/null
+++ b/audio/icecast/doinst.sh
@@ -0,0 +1,19 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/icecast.xml.new
+
+# Create log files if they don't exist already
+[ ! -e var/log/icecast/access.log ] && touch var/log/icecast/access.log
+[ ! -e var/log/icecast/error.log ] && touch var/log/icecast/error.log
+
diff --git a/audio/icecast/icecast.SlackBuild b/audio/icecast/icecast.SlackBuild
new file mode 100644
index 0000000000..d8800933ca
--- /dev/null
+++ b/audio/icecast/icecast.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for icecast
+
+# Written by Rodney Cobb (rdc@ktabic.co.uk)
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=icecast
+VERSION=${VERSION:-2.3.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --disable-static \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make docdir=/usr/doc/$PRGNAM-$VERSION
+make install-strip docdir=/usr/doc/$PRGNAM-$VERSION DESTDIR=$PKG
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Let's not clobber existing configs
+( cd $PKG/etc/ ; mv icecast.xml icecast.xml.new )
+
+# Create log dir ; files will be created in doinst.sh if needed
+mkdir -p $PKG/var/log/icecast
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/icecast/icecast.info b/audio/icecast/icecast.info
new file mode 100644
index 0000000000..fac3d5d80a
--- /dev/null
+++ b/audio/icecast/icecast.info
@@ -0,0 +1,8 @@
+PRGNAM="icecast"
+VERSION="2.3.2"
+HOMEPAGE="http://www.icecast.org"
+DOWNLOAD="http://downloads.xiph.org/releases/icecast/icecast-2.3.2.tar.gz"
+MD5SUM="ff516b3ccd2bcc31e68f460cd316093f"
+MAINTAINER="Rodney Cobb"
+EMAIL="rdc@ktabic.co.uk"
+APPROVED="rworkman"
diff --git a/audio/icecast/slack-desc b/audio/icecast/slack-desc
new file mode 100644
index 0000000000..4da8cabab9
--- /dev/null
+++ b/audio/icecast/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package icecast, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+icecast: icecast (streaming media server)
+icecast:
+icecast: Icecast is a streaming media server which currently supports Ogg
+icecast: streaming including the vorbis and theora codecs. Also icecast can
+icecast: handle other streams like MP3/AAC/NSV.
+icecast:
+icecast:
+icecast:
+icecast:
+icecast:
+icecast: